BEGIN;

--
-- Change and add new options to institution_art_tbl (issue 3400)
--

SET ROLE :db_adm;

-- History
INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.3.1/04_institution_art.sql', current_timestamp);

ALTER TABLE institution_art_tbl ALTER COLUMN value TYPE VARCHAR(77);

UPDATE institution_art_tbl SET value='Koordinierungsstelle Schulverweigerung – Die 2. Chance' WHERE id = 11;
UPDATE institution_art_tbl SET value='Migrationsberatung (MBE)' WHERE id = 16;
UPDATE institution_art_tbl SET value='Integrations-, Aussiedler/innen-, Ausländer/innenbeautragte/r' WHERE id = 21;
UPDATE institution_art_tbl SET value='Fördereinrichtungen für schulpflichtige Migrant/en/innen' WHERE id = 24;
UPDATE institution_art_tbl SET value='Vereine von Migrant/en/innen' WHERE id = 25;
UPDATE institution_art_tbl SET value='Jobcenter' WHERE id = 35;
UPDATE institution_art_tbl SET value='Ausländerbehörde' WHERE id = 36;
UPDATE institution_art_tbl SET value='Stadtverwaltung / Gemeindeverwaltung / Bürgeramt / Meldestelle' WHERE id = 40;
UPDATE institution_art_tbl SET value='Regionalkoordinator/en/innen des BAMF' WHERE id = 43;
INSERT INTO institution_art_tbl (id, value) VALUES (58, 'Flüchtlingsorganisationen');
INSERT INTO institution_art_tbl (id, value) VALUES (60, 'Koordinierungsstelle des Modellprogramms JUGEND STÄRKEN: Aktiv in der Region');
INSERT INTO institution_art_tbl (id, value) VALUES (62, 'Religions- und Glaubensgemeinschaften');
INSERT INTO institution_art_tbl (id, value) VALUES (63, 'Wirtschaftsjunioren (Projekt JUGEND STÄRKEN: Junge Wirtschaft macht mit!)');
INSERT INTO institution_art_tbl (id, value) VALUES (64, 'Sonstige');

-- Reactivate the role
SET ROLE postgres;

COMMIT;

