BEGIN;

-- 1.0pre4 -> jmd-1.0pre5
-- Loglevel in der mpuls_log Funktion korrigieren (mpuls/issue468)

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('jmd-1.0pre5/01-mpulslog.sql', current_timestamp);


CREATE OR REPLACE FUNCTION mpuls_log() RETURNS TRIGGER AS $$
BEGIN
    IF TG_OP = 'DELETE' THEN
        RAISE INFO '% on % (id: %) by %', TG_OP, TG_TABLE_NAME, OLD.id, session_user;
        RETURN OLD;
    ELSE
        RAISE INFO '% on % (id: %) by %', TG_OP, TG_TABLE_NAME, NEW.id, session_user;
        RETURN NEW;
    END IF;
END;
$$ LANGUAGE plpgsql;



-- Finish
SET ROLE postgres;


COMMIT;
