## -*- coding: utf-8 -*-
<%def name="newstatform(title, legend, years, submiturl, hidden=())">
<div class="waska_form">
  <form id="waska_form" name="waska_form" action="${submiturl}" method="POST"
        accept-charset="UTF-8">
    ${h.csrf_token()}
    <h1>${title}</h1>
    <fieldset>
      <legend>${legend}</legend>
      <table>
        <tr>
          <td class="label">
            <label for="name_der_schule">Name der Schule</label>
          </td>
          <td>
            <input type="text" class="field" name="name_der_schule"
                   id="name_der_schule" maxlength="60"
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="partner">
          </td>
        <tr>
          <td class="label">
            <label for="datum_begin_kooperation">Datum Beginn Kooperation</label>
          </td>
          <td>
            <input type="text" class="field mpuls-datepicker"
                   name="datum_begin_kooperation"
                   id="datum_begin_kooperation" maxlength="10"
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="datum_begin_kooperation">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="datum_ende_kooperation">Datum Ende Kooperation</label>
          </td>
          <td>
            <input type="text" class="field mpuls-datepicker"
                   name="datum_ende_kooperation"
                   id="datum_ende_kooperation" maxlength="10"
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="datum_ende_kooperation">
          </td>
        </tr>
      </table>
    </fieldset>
    <div class="input_space">
      <input class="button" type="submit" name="save"
             value="Kooperation anlegen">
    </div>
    % for name in hidden:
    <input type="hidden" name="${name}">
    % endfor
  </form>
</div>
</%def>
