## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
        ${parent.buildNavipath()}
    <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
    <li><a href="${h.url(controller='case', action='import')}">${_('Import cases')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('XML Import')}
</%def>

<h1>${_('XML Import')}</h1>
<p>
  ${h.literal(_('You can add XML files. The size of a file must not exceed 10 MB.'))}
</p>
<br>
${h.form(h.url(controller='case', action='importXMLAction'), multipart=True)}
${h.csrf_token()}
<fieldset>
  <legend>${_('Importfile')}</legend>
  <table>
    <tr>
      <td class="label">
        <label for="xmlfile">${_('Choose file')}:</label>
      </td>
      <td>
        <input class="text" type="file" name="xmlfile" id="xmlfile" value="">
      </td>
    </tr>
  </table>
</fieldset>
<table>
  <tr>
    <td colspan="2">
      <input id="upload"  class="button" type="submit" name="upload" value="${_('Import')}">
    </td>
  </tr>
</table>
${h.end_form()}
