<%inherit file="/appointments/remindlist_body.mako" />
<%def name="showAppointmentActions(appointment, show_set_done=False)">
  
    % if appointment.type in [1]:
 	<a href="${h.url(controller='caseappointment', action='show',
 		id=appointment.id, confirmed=0)}"> 
	<img src    = "${h.url('/images/icons/open_active_22.png')}"
         border = "0"
         alt    = "${_('Show')}" 
         title  = "${_('Show')}"
         width  = "22"
         height = "22"></a>
        % if show_set_done:
            <form style="display: inline!important;position: relative; top: 7px;" action="${h.url(controller='appointment', action='set_done', id=appointment.id)}" method="POST">
              ${ h.csrf_token() }
              <% icon_url = h.url('/images/icons/tick.png')
              %>
              % if c.set_done_backlink:
              <input type="hidden" name="backlink" value="${c.set_done_backlink}">
              % endif
              <input type="image" src="${icon_url}" style="width: 22px; height: 22px; background-color: transparent; border: 0; cursor: pointer;" alt= "${_('Set Done')}"  title  = "${_('Set Done')}"></button>
            </form>
        % endif
    % else:
    	<a href="${h.url(controller='case', action='select',
                    id=appointment.case_id, confirmed=0)}">
    	<img src    = "${h.url('/images/icons/open_active_22.png')}"
         border = "0"
         alt    = "${_('Show')}" 
         title  = "${_('Show')}"
         width  = "22"
         height = "22"></a>
    % endif
</%def>
<%def name="showKeepActiveActions(appointment)">
    % if not appointment.type in [1]:
  	<a href="${h.url(controller='case', action='keepActive', id=appointment.case_id, confirmed=0)}">
    <img src    = "${h.url('/images/icons/refresh_active_22.png')}"
         border = "0"
         width  = "22"
         height = "22"
         alt    = "${_('Keep longer activated')}" 
         title  = "${_('Keep longer activated')}"></a>
    % endif
</%def>
