## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%
formular_labels = {'date': _('Date'),
                   'time': _('Time'),
                   'duration': _('Duration'),
                   'short_notice': _('Mention rest')}
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='logbook', action='index', id=session.get('case').id)}">${_('Logbook')}</a></li>
  <li><a href="#"></a>${_('New entry')}</li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
     ${_('New logbook entry')} 
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url(controller='logbook', action='index', id=session.get('case').id)}">${_('Back to: Logbook')}</a></li>
      </ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
% if c.success_text:
  <div class="dialog" style="margin-bottom: 1em;">
      ${c.success_text}
  </div>
% endif
<div id="appointment">
  <div id="waska_form">
    ${h.form(h.url(controller='logbook', action='newAction'),
             multipart=True, onsubmit="return validateFileSize();")}
    ${ h.csrf_token() }
    <% c.edit_body_show_file_upload = True %>
    <%include file="../logbook/edit_body.mako" />
    ${h.end_form()}
  </div>
</div>
