## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('Selected case documents')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='logbook', action='index', id=session.get('case').id)}">
      ${_('Logbook')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='logbook', action='show', id=c.entry.id)}">
      ${_('Logbook entry')}
    </a>
  </li>
  <li>
    <a href="#"></a>${_('Rename document')}
  </li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Rename document')}
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Rename document')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url(controller='logbook', action='show', id=c.entry.id)}">
            ${_('Back to: Attachment overview')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<p class="import_p">
${h.form(h.url(controller="logbook", action='renameDocumentAction', id=c.id),
               multipart=True)}
${h.csrf_token()}
<div class="widget container">
  <table class="form">
    <colgroup>
      <col width="20%">
      <col width="60%">
      <col width="20%">
    </colgroup>
    <tr>
      <td class="label">
        <label for="name">${_('Filename')}</label></td>
      <td class="">
        <input type="text" name="name" id="name" value="${c.name}"><br>
      </td>
      <td class=""><span class="error"><form:error name="name"></span></td>
    </tr>
    <tr>
      <td class=""></td>
      <td colspan="2">
        ${h.hidden('id', value=c.id)}
        ${h.hidden('logbook_id', value=c.logbook_id)}
        <input id="rename" class="button" type="submit" name="rename" value="${_('Rename')}">
      </td>
    </tr>
  </table>
</div>
${h.end_form()}
