-- Due to a defect in JMD 1.5.8, new cases were not initialized
-- properly. In particular for JMDs not taking part in jmd2start, the
-- zielgruppe fields was not set to 0. This update simply sets
-- zielgruppe to 0 for all cases if the database is configured not to
-- support jmd2start.
-- See mpuls/issue5702

UPDATE master_tbl
   SET zielgruppe = 0
 WHERE EXISTS (SELECT * FROM ka_konfiguration_tbl
               WHERE bez = 'jmd2start' AND wert = 'off');
