<%inherit file="/casemanagement/main.mako" />
<%
formular_labels = {'start_date' : 'Startdate',
                   'start_time' : 'Startdate',
                   'end_date'   : 'Enddate',
                   'end_time'   : 'Endtime',
                   'title'      : 'Title',
                   'trigger'    : _('Trigger')
                  }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='caseappointment', action='index', id=c.appointment.case_id)}">${_('Appointments list')}</a></li>
  <li><a href="#"></a>${_('Edit event')}</li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Edit event')}
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Event view')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url(controller='caseappointment', action='show', id=c.appointment.id, confirmed='0')}">${_('Back to: Event view')}</a>
        </li>
      </ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="appointment">
<div id="waska_form">
<form action="${h.url(controller='caseappointment', action='editAction')}" method="POST">
${ h.csrf_token() }
<%include file="../appointments/edit_body.mako" />
</form>
</div>
</div>
