<%! import mpulsweb.lib.helper.filters as F %>

<%def name="overview_table(show_url, render_actions, files=None)">
<% files = files if files is not None else c.files %>
<div class="repair">
  <table class="table table-condensed table-hover table-striped">
    <thead>
      <tr>
        <th class="table_header_h table_width_filename">
          ${_('Filename')}
        </th>
        <th class="table_header_h table_date">
          ${_('Inserted at')}
        </th>
        <th class="table_header_h number_field table_date">
          ${_('Filesize')}
        </th>
        <th class="table_header_h actions">
          ${_('Actions')}
        </th>
      </tr>
    </thead>
    % if len(files) > 0:
    <% kb = lambda x: h.format_number(x * 1.0/1024.0) %>
    % for num, f in enumerate(files):
    <tr>
      <td>
        <a href="${show_url(f)}" target="_blank"
           >${ F.shorten(f.getName(), 60) }</a>
      </td>
      <td>
        ${h.NA(h.format_date(f.insert_date))}
      </td>
      <td class="number_field">
        ${kb(f.size)} KB
      </td>
      <td>
        ${render_actions(f)}
      </td>
    </tr>
    % endfor
    % else:
    <tr>
      <td colspan="4">
        ${_('No files found')}
      </td>
    </tr>
    % endif
  </table>
</div>
</%def>
